SuSE 9.0 mit mySQL 4.0.15 auf 4.0.18 updaten ?

MySQL, PostgreSQL, SQLite
paulkerl
Posts: 38
Joined: 2004-10-17 15:02

SuSE 9.0 mit mySQL 4.0.15 auf 4.0.18 updaten ?

Post by paulkerl » 2004-10-17 15:12

Aloha zusammen,

ich habe ein 1und1 Serverchen mit SuSE 9.0 und mySQL 4.0.15.
Leider benötigt das neue Tyop3 mindestens die Version 4.0.18.
Wenn ich das online Update des mysql machen will, ist leider "nur" die schon installierte Version 4.0.15 vorhanden.

Frage: wie bekomme ich mein System auf die neue Version 4.0.18?

Vielen Dank im Vorraus

LG HuGO

jhnet
Posts: 98
Joined: 2004-07-20 11:43

Re: SuSE 9.0 mit mySQL 4.0.15 auf 4.0.18 updaten ?

Post by jhnet » 2004-10-20 10:49

Mit Yast jedenfalls nicht.
Du könntest von http://www.mysql.com ein entsprechendes Binary RPM herunterladen und installieren. Da der Versionssprung nicht allzu gross ist sollte es erfahrungsgemäss ausreichen die Binaries auszutauschen. Wenn einige Anwendungen danach nicht mehr korrekt auf Mysql zugreifen können bleibt Dir nichts anderes übrig als die Libraries auch noch zu installieren und ggf. einige Sachen neu zu compilieren.

Zweite Möglichkeit wäre natürlich eine komplette Neuübersetzung "von Hand", dann kannst Du zumindest sicher sein dass alles auf der neuesten version ist.

Bye,
JH